## ListEditors **post** `/gitpod.v1.EditorService/ListEditors` Lists all available code editors, optionally filtered to those allowed in an organization. Use this method to: - View supported editors - Get editor capabilities - Browse editor options - Check editor availability ### Examples - List editors: Shows all available editors with pagination. ```yaml pagination: pageSize: 20 ``` - List editors available to the organization: Shows all available editors that are allowed by the policies enforced in the organization with pagination. ```yaml pagination: pageSize: 20 filter: allowedByPolicy: true ``` ### Query Parameters - `token: optional string` - `pageSize: optional number` ### Body Parameters - `filter: optional object { allowedByPolicy }` filter contains the filter options for listing editors - `allowedByPolicy: optional boolean` allowed_by_policy filters the response to only editors that are allowed by the policies enforced in the organization - `pagination: optional object { token, pageSize }` pagination contains the pagination options for listing environments - `token: optional string` Token for the next set of results that was returned as next_token of a PaginationResponse - `pageSize: optional number` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. ### Returns - `editors: array of Editor` editors contains the list of editors - `id: string` - `installationInstructions: string` - `name: string` - `urlTemplate: string` - `alias: optional string` - `iconUrl: optional string` - `shortDescription: optional string` - `versions: optional array of EditorVersion` versions contains the list of available versions for this editor - `version: string` version is the version string of the editor Examples for JetBrains: 2025.2 - `pagination: optional object { nextToken }` pagination contains the pagination options for listing environments - `nextToken: optional string` Token passed for retrieving the next set of results. Empty if there are no more results ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.EditorService/ListEditors \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json { "editors": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "installationInstructions": "installationInstructions", "name": "name", "urlTemplate": "urlTemplate", "alias": "alias", "iconUrl": "iconUrl", "shortDescription": "shortDescription", "versions": [ { "version": "version" } ] } ], "pagination": { "nextToken": "nextToken" } } ```